Skip to main content
GET
Retrieve a customer

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

customer_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Response

Customer output serializer; we can represent the customer model differently depending on the request so we need a custom serializer for the output.

customer_id
string<uuid>
required

The ID of the customer

name
string
required

The name of the customer

The legal name of the customer, used as the buyer name on invoices. Falls back to name when no legal name is set.

subscriptions
object[]
required
read-only

List of subscriptions associated with this customer

external_id
string | null

The external id of the customer

Maximum string length: 255
address
object

The address of the customer

stripe_customer_id
string | null

The companies stripe customer_id

Maximum string length: 255
tax_id
string | null

Tax identification number (e.g., EIN, VAT number)